Bug 71859 - Test Libraries node GUI
Test Libraries node GUI
Status: VERIFIED FIXED
Product: apisupport
Classification: Unclassified
Component: Project
5.x
All All
: P1 (vote)
: 6.x
Assigned To: Tomas Danek
issues@apisupport
: UI
Depends on: 54161
Blocks: 61313
  Show dependency treegraph
 
Reported: 2006-01-25 15:08 UTC by Martin Krauskopf
Modified: 2007-01-15 16:03 UTC (History)
5 users (show)

See Also:
Issue Type: ENHANCEMENT
:


Attachments
Patch - apply on apisupport/project (19.67 KB, patch)
2006-09-11 14:33 UTC, Tomas Danek
Details | Diff
failing test (800 bytes, text/plain)
2006-09-11 15:33 UTC, Martin Krauskopf
Details
Unit test lib node patch (82.03 KB, application/octet-stream)
2006-11-23 14:48 UTC, Tomas Danek
Details
patch version 2 (79.90 KB, patch)
2006-11-28 14:57 UTC, Tomas Danek
Details | Diff
commit log (3.31 KB, text/plain)
2006-12-06 16:31 UTC, Tomas Danek
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Martin Krauskopf 2006-01-25 15:08:59 UTC
See also issue 61313.
Comment 1 Martin Krauskopf 2006-06-28 08:28:02 UTC
I just know that Zajo and Radek talked a lot about this feature offline in the
office ;). Just in the case you are planning to work on it... CC
Comment 2 Martin Krauskopf 2006-08-15 17:32:33 UTC
After Zajo's great progress with issue 54161 it should be now relatively easy to
implement this one -> P1.
Also original UI spec should be rewritten, since currently it specifies the node
to be only read-only. There should be probably special Tab in Customizer ->
Libraries similar to J2SE project (Test Module Dependencies) and the node in
Logical View should behave in the similar way to the module dependencies node.
Comment 3 Tomas Danek 2006-09-11 14:32:25 UTC
Jesse or/and Martine, could you review attached patch (created against
apisupport/project) for adding/removing testdependencies? Tests are passing,
but... Thanks in adavnce
Comment 4 Tomas Danek 2006-09-11 14:33:53 UTC
Created attachment 33764 [details]
Patch - apply on apisupport/project
Comment 5 Martin Krauskopf 2006-09-11 15:32:51 UTC
mk1: I would move testEqualsAndHashCodeMethodsOfTestModuleDependency() rather to
     TestModuleDependencyTest.

mk2: Equal could do better. See attached failing test.

mk3: Maybe I would wait with commit until those new methods are needed by some
     actual implemenation - i.e. by the GUI. Not sure if you and/or Zajo are
     planning to work on it(?)
Comment 6 Martin Krauskopf 2006-09-11 15:33:47 UTC
Created attachment 33767 [details]
failing test
Comment 7 Tomas Danek 2006-11-23 14:48:17 UTC
Created attachment 36247 [details]
Unit test lib node patch
Comment 8 Tomas Danek 2006-11-23 14:52:54 UTC
Working patch attached, feature + tests implemented. In future phases probably
some refactoring will be done in order to decrease code duplicity with Libraries
node. 
Can you review the patch before i commit? If there are no objections and you
find it good and not dangerous, i'll commit to trunk. Thanks.
Comment 9 Martin Krauskopf 2006-11-23 15:43:00 UTC
- seems that you are working with JDK 6 --> javax.swing.GroupLayout -->
  uncompilable on JDK 5

- java.lang.Runnables which are not run in UnitTestLibrariesNodeTest???

- duplicate import of "java.util.Map" in UnitTestLibrariesNode

- empty lines in o/n/m/a/p/ui/customizer/Bundle.properties

- unneeded TestModuleDependencyTest.tearDown()

- UnitTestLibrariesNode:515 could be deleted....

- ...run PMD ;)
Comment 10 Jesse Glick 2006-11-23 22:43:46 UTC
Not for M5 - bugs only.
Comment 11 Tomas Danek 2006-11-28 14:36:29 UTC
>- seems that you are working with JDK 6 --> javax.swing.GroupLayout -->
>  uncompilable on JDK 5
Fixed, patch is now compilable with 1.5

>- java.lang.Runnables which are not run in UnitTestLibrariesNodeTest???
Rewritten test, for now without any thread sync, if it fails sometimes, i'll try
to make more reliable.

>- duplicate import of "java.util.Map" in UnitTestLibrariesNode
Deleted.

>- empty lines in o/n/m/a/p/ui/customizer/Bundle.properties
Empty lines removed.

>- unneeded TestModuleDependencyTest.tearDown()
Removed.

>- UnitTestLibrariesNode:515 could be deleted....
Deleted.

>- ...run PMD ;)
Yes, i admit there was some useless code:) 

Thanks a lot for your time spent on this, attaching new patch, feel free to
comment again. Finally, if there are no objections, i'll commit (after M5 is done).
Comment 12 Tomas Danek 2006-11-28 14:57:49 UTC
Created attachment 36321 [details]
patch version 2
Comment 13 Jesse Glick 2006-11-28 21:30:31 UTC
M5 is branched so you can commit to trunk at your leisure.
Comment 14 Tomas Danek 2006-12-06 16:30:05 UTC
Fixed in trunk. Log attached.
Comment 15 Tomas Danek 2006-12-06 16:31:20 UTC
Created attachment 36524 [details]
commit log
Comment 16 Jesse Glick 2006-12-06 16:49:05 UTC
Please update apisupport/www/60-ui.html as needed.
Comment 17 Tomas Danek 2007-01-15 16:03:34 UTC
finally updated UI spec.

Checking in 60-ui.html;
/cvs/apisupport/www/60-ui.html,v  <--  60-ui.html
new revision: 1.2; previous revision: 1.1
done


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo